#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DPOSIX
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../..
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### cricketbase (static) ######################

tde_add_library( cricketbase STATIC_PIC
  SOURCES
    socketaddress.cpp jtime.cpp asyncudpsocket.cpp messagequeue.cpp
    thread.cpp physicalsocketserver.cpp bytebuffer.cpp asyncpacketsocket.cpp
    network.cpp asynctcpsocket.cpp socketadapters.cpp md5c.c base64.cpp
    task.cpp taskrunner.cpp host.cpp socketaddresspair.cpp
)
